package bosak;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class TogglController {

    @Autowired
    private TogglService togglService;

    @GetMapping("/toggl")
    public String displayTogglData(Model model) {
        try {
            Object[] timeEntries = togglService.fetchTimeEntries();
            model.addAttribute("timeEntries", timeEntries);
        } catch (Exception e) {
            model.addAttribute("error", "Failed to fetch data: " + e.getMessage());
        }
        return "toggl";
    }
}