package bosak;

import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.stereotype.Service;
import java.util.Base64;

@Service
public class TogglService {
    private static final String API_URL = "https://api.track.toggl.com/api/v9/me/time_entries";
    private static final String API_TOKEN = "09a9744907d87337e993e23be895a262";

    public Object[] fetchTimeEntries() throws Exception {
        OkHttpClient client = new OkHttpClient();

        String credentials = API_TOKEN + ":api_token";
        String basicAuth = "Basic " + Base64.getEncoder().encodeToString(credentials.getBytes());

        Request request = new Request.Builder()
                .url(API_URL)
                .header("Authorization", basicAuth)
                .build();

        Response response = client.newCall(request).execute();
        if (response.isSuccessful() && response.body() != null) {
            String json = response.body().string();


            ObjectMapper objectMapper = new ObjectMapper();
            return objectMapper.readValue(json, Object[].class);
        } else {
            throw new RuntimeException("Failed to fetch data: " + response.message());
        }
    }
}